html {
  font-size: 1rem;
}

#warning {
  position: absolute;
  float: top;
  color: red;
  background-color: none;
  margin-top: 10%;
  font-size: 3rem;
}

body {
  margin: 0;
  padding: 0;
  background-color: #2a2a2a;
  color: #cccccc;
  font-family: 'Roboto', Tahoma, sans-serif;
}

section {
  width: 100%;
  min-height: 100vh;
}

a {
  text-decoration: none;
}

#navbar {
  position: fixed;
  top: 0;
  z-index: 10;
  display: flex;
  width: 100%;
  background-color: #242424;
  color: #cccccc;
}

#navbar ul {
  display: flex;
  list-style: none;
  width: 100%;
  justify-content: center;
  margin: 0;
  padding: 0;
}

#navbar ul li {
  height: 100%;
  display: inline-block;
}

#navbar ul li a {
  color: #cccccc;
  display: inline-block;
  padding: 1rem;
  line-height: 2rem;
  font-size: 1.5rem;
}

#navbar ul li a:hover {
  color: #646464;
  background-color: #cccccc;
}

#home {
  color: #cccccc;
  background: url('/images/showcase.png') no-repeat center center/cover;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
}

#home h1 {
  font-size: 4rem;
  border: none;
  background: none;
}

h3 {
  text-align: center;
  font-size: 2rem;
  margin: 0;
}

#home {
  color: #cccccc;
  background: url('/images/showcase.png') no-repeat center center/cover;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.banner {
  width: 90%;
}

h2 {
  font-size: 2rem;
  text-align: center;
  border-bottom: 1px solid #969696;
  border-top: 1px solid #969696;
  background-color: #3c3c3c;
  padding: 1rem;
  margin: 0;
}

#songs {
  align-items: center;
  justify-content: center;
  text-align: center;
}

#copyright {
  margin: 1rem;
}

#reviews {
  align-items: center;
  justify-content: center;
  text-align: center;
}

.review-1 {
  font-size: 1rem;
  margin: 1rem;
}

#review-image {
  width: 95%;
}

.review-title {
  text-align: center;
}

.review-text {
  text-align: left;
}

.songs-container {
  height: 30%;
  margin: 1rem;
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  grid-gap: 5rem;
  align-items: flex-start;
}

.song {
  height: 100%;
  position: relative;
  padding: 1rem;
  border: 3px #969696 solid;
  box-shadow: 0 1rem 1rem 0 rgba(0, 0, 0, 0.5);
}

.song-info-container {
  width: 100%;
  height: 100%;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-content: center;
}
.song-btn-container {
  align-content: center;
  display: flex;
  margin-top: 0.5rem;
}

.song-btn {
  background-color: #1d1d1d;
  border: none;
  color: white;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  transition-duration: 0.4s;
  cursor: pointer;
  padding: 0.5rem;
  margin-right: 1rem;
}

.song-btn:hover {
  background-color: #555555;
  color: white;
}

.audio-player {
  width: 100%;
}

.song-desc {
  text-align: center;
}

.song-lyrics {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 90%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0, 0, 0); /* Fallback color */
  background-color: rgba(0, 0, 0, 0.8); /* Black w/ opacity */
  font-size: 1rem;
}

.song-lyrics-content {
  background-color: #4b4b4b;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
  text-align: left;
}

#lyrics-content {
  font-size: 1rem;
}

/* The Close Button */
.close {
  color: #aaaaaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

#song-video-monkey {
  display: none;
}

h3 {
  text-align: center;
  font-size: 2rem;
  margin: 0;
}

.line {
  border: 1px solid #969696;
  width: 100%;
  margin: 0.5rem auto;
}

#footer {
  text-align: center;
  font-size: 0.5rem;
  margin: 0.5rem;
}

@media (min-width: 768px) {
  .songs-container {
    grid-template-columns: repeat(2, 1fr);
    margin: 3rem;
  }

  #review-image {
    width: auto;
  }

  .banner {
    width: 80%;
  }

  .song-lyrics-content {
    width: 60%;
  }
}

@media (min-width: 1200px) {
  .songs-container {
    grid-template-columns: repeat(3, 1fr);
    margin: 5rem;
  }

  .review-text {
    text-align: center;
  }

  #review-image {
    width: auto;
  }

  .banner {
    width: auto;
  }

  .song-lyrics-content {
    width: 40%;
  }
}
